FROM rustlang/rust:nightly as base

RUN rustup target add x86_64-unknown-linux-musl

RUN apt-get update -qq && \
  apt-get install -y \
  musl-tools \
  musl-dev

RUN update-ca-certificates

RUN apt-get update && apt-get upgrade -y
RUN apt-get install -y -q build-essential curl git

WORKDIR /app/cuddle/

COPY . .

RUN cargo install --target x86_64-unknown-linux-musl --path cuddle_cli

FROM docker:dind

RUN apk add bash git
RUN eval `ssh-agent`

COPY --from=1password/op:2 /usr/local/bin/op /usr/local/bin/op

COPY --from=base /usr/local/cargo/bin/ /usr/local/cargo/bin/
ENV PATH="${PATH}:/usr/local/cargo/bin"
